# Uses of Interface
org.eclipse.zest.layouts.interfaces.ConnectionLayout

Packages that use ConnectionLayout
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts.interfaces

## Uses of ConnectionLayout in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets with parameters of type ConnectionLayout
Modifier and Type
Method
Description
`protected void`
DefaultSubgraph.`refreshConnectionsVisibility(ConnectionLayout[] connections)`

## Uses of ConnectionLayout in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return ConnectionLayout
Modifier and Type
Method
Description
`ConnectionLayout[]`
LayoutContext.`getConnections()`
Returns all the connections between nodes that should be laid out.
`ConnectionLayout[]`
LayoutContext.`getConnections(EntityLayout layoutEntity1, EntityLayout layoutEntity2)`
Returns all the connections between given source and target entities.
`ConnectionLayout[]`
NodeLayout.`getIncomingConnections()`
Returns all connections that have this node as a target.
`ConnectionLayout[]`
NodeLayout.`getOutgoingConnections()`
Returns all connections that have this node as a source.
Methods in org.eclipse.zest.layouts.interfaces with parameters of type ConnectionLayout
Modifier and Type
Method
Description
`boolean`
GraphStructureListener.`connectionAdded(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is added to a context.
`boolean`
GraphStructureListener.Stub.`connectionAdded(LayoutContext context, ConnectionLayout connection)`
`boolean`
GraphStructureListener.`connectionRemoved(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is removed from a context.
`boolean`
GraphStructureListener.Stub.`connectionRemoved(LayoutContext context, ConnectionLayout connection)`